#!/bin/bash
# Script to remove unnecessary files from the project

echo "Starting removal of unnecessary files..."

# Files that are already deleted (but still tracked by git)
git rm -f test/test.dcrouter.ts
git rm -f ts/aibridge/classes.aibridge.ts
git rm -f ts/classes.platformservicedb.ts
git rm -f ts/mail/delivery/classes.mta.patch.ts
git rm -f ts/platformservice.ts

# Additional files to remove
echo "Removing additional unnecessary files..."
git rm -f ts/mail/delivery/classes.mta.ts
git rm -f ts/mail/delivery/classes.connector.mta.ts

# Check for old version files
if [ -f ts/mail/services/classes.emailservice.old.ts ]; then
  git rm -f ts/mail/services/classes.emailservice.old.ts
fi

if [ -f ts/mail/delivery/classes.mtaconfig.old.ts ]; then
  git rm -f ts/mail/delivery/classes.mtaconfig.old.ts
fi

echo "Removal completed."